Page MenuHomePhabricator

Use OO.ui.alert() for the assorted error message dialogs in UploadWizard
Closed, ResolvedPublic

Description

Use OO.ui.alert() (see https://gerrit.wikimedia.org/r/#/c/257256/ ) for the assorted error message dialogs in UploadWizard, currently implemented with mw.ErrorDialog class.

Event Timeline

matmarex created this task.Oct 29 2015, 7:15 PM
matmarex raised the priority of this task from to Normal.
matmarex updated the task description. (Show Details)
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 29 2015, 7:15 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 29 2015, 7:16 PM
Jdforrester-WMF moved this task from Untriaged to Next up on the Multimedia board.Nov 5 2015, 4:08 PM
MarkTraceur lowered the priority of this task from Normal to Low.Dec 3 2015, 8:03 PM
MarkTraceur added a project: Technical-Debt.

@matmarex: Am I right that we cannot make this task available yet in GCI because T117076 is not fixed yet?

Yes :/ It always seems like you have more time, until it runs out. I wrote a patch for that bug now, and hopefully it will be merged and available in MediaWiki by Wednesday.

Aklapper updated the task description. (Show Details)Dec 17 2015, 11:55 AM
Aklapper set Security to None.
Sn1per claimed this task.Dec 24 2015, 4:27 PM

Change 260945 had a related patch set uploaded (by Sn1per):
Refactor mw.ErrorDialog to use OO.ui.alert()

https://gerrit.wikimedia.org/r/260945

matmarex closed this task as Resolved.Dec 26 2015, 8:37 PM
matmarex removed a project: Patch-For-Review.

Change 260945 merged by jenkins-bot:
Refactor mw.ErrorDialog to use OO.ui.alert()

https://gerrit.wikimedia.org/r/260945